Bug 980042 - Unable to restore DB when selinux is disabled.
Unable to restore DB when selinux is disabled.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Eli Mesika
movciari
infra
:
Depends On: 976337
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 05:55 EDT by Ilanit Stein
Modified: 2016-02-10 14:14 EST (History)
9 users (show)

See Also:
Fixed In Version: is7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:16:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16322 None None None Never

  None (edit)
Description Ilanit Stein 2013-07-01 05:55:55 EDT
Description of problem:

Restore DB fail when selinux is disabled (see log bellow).
when switching to selinux enforced, the restore works.
 
Log:

[root@istein-32 ~]# /usr/share/ovirt-engine/dbscripts/restore.sh -u postgres -d engine -f /tmp/00579652_221211073824_pgdump.tar -r -o
Restore of database engine from /tmp/00579652_221211073824_pgdump.tar started...
/tmp/00579652_221211073824_pgdump.tar: tar archive
chcon: can't apply partial context to unlabeled file `/tmp/00579652_221211073824_pgdump.tar_dir'
Failed to restore SELinux default settings for /tmp/00579652_221211073824_pgdump.tar_dir.



Version-Release number of selected component (if applicable):
sf18.2
(The DB tar file is from 3.1 setup)

How reproducible:
always

Expected results:
Restore DB should succeed also for selinux disabled.

additional info:
This bug was found during verification of Bug 973275
Comment 1 Eli Mesika 2013-07-23 15:34:31 EDT
fixed in commit : e7f6fda
Comment 2 Itamar Heim 2014-01-21 17:16:59 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:23:39 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.